tigase.server

## Enum Permissions

- java.lang.Object
- - java.lang.Enum<Permissions>
  - - tigase.server.Permissions

- All Implemented Interfaces:
    Serializable, Comparable<Permissions>

      public enum Permissions
      extends Enum<Permissions>

  Describe class Permissions here. Created: Tue Jan 23 22:52:45 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN`
    `ANONYM`
    `AUTH`
    `LOCAL`
    `NONE`
    `REMOTE`
    `TRUSTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Permissions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Permissions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Permissions NONE

    - #### ANONYM

          public static final Permissions ANONYM

    - #### REMOTE

          public static final Permissions REMOTE

    - #### LOCAL

          public static final Permissions LOCAL

    - #### AUTH

          public static final Permissions AUTH

    - #### TRUSTED

          public static final Permissions TRUSTED

    - #### ADMIN

          public static final Permissions ADMIN

  - ### Method Detail

    - #### values

          public static Permissions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Permissions c : Permissions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Permissions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 "Tigase, Inc.". All rights reserved.